# Interface ITargetHandle

public interface ITargetHandle
A handle to a target definition.

Since:
  3.8

## Method Summary

Modifier and Type
Method
Description
`boolean`
`exists()`
Returns whether or not the underlying target definition exists.
`String`
`getMemento()`
Returns a memento for this handle.
`ITargetDefinition`
`getTargetDefinition()`
Returns the target definition this handle references.

## Method Details

### getTargetDefinition

ITargetDefinition getTargetDefinition() throws CoreException
Returns the target definition this handle references.

Returns:
  target definition
Throws:
  `CoreException` - if the underlying target definition does not exist

### getMemento

String getMemento() throws CoreException
Returns a memento for this handle.

Returns:
  a memento for this handle
Throws:
  `CoreException` - if unable to generate a memento

### exists

boolean exists()
Returns whether or not the underlying target definition exists.

Returns:
  whether or not the underlying target definition exists